<div class="container-fluid h-100">
  <app-filter-desktop (filtered)="search($event)"></app-filter-desktop>
  <div class="row justify-content-center h-100">
    <div class="col-12 text-center align-self-center">
      <ng-container *ngIf="routes$ | async as routeState">
        <div
          *ngIf="
            routeState.loading || routeState.routes.length > 0;
            else noResults
          "
        ></div>
        <app-button
          *ngIf="!routeState.loading"
          classList="btn-secondary"
          value="Napravi potražnju"
        ></app-button>
      </ng-container>
    </div>
  </div>
</div>

<ng-template #noResults>
  <img
    class="img img-fluid mb-5"
    style="max-width: 300px"
    src="../../assets/usput-nema-rezultata.svg"
    alt="Nema rezultata"
  />
  <h5 class="mb-4">Nema rezultata</h5>
</ng-template>
